<?php
class SeAniversario
{
	private $sql;
	public $qry;
	private $id_empresa;
	private $mysqlCom;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$this->mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($this->mysqlCom->connect(), $this->sql);
	}



	public function SeAniversarioSelect($id_evento)
	{
		$this->sql = "select nome, idade, tema from se_aniversario
						  where id_evento = $id_evento
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}

	public function SeAniversarioUpdate($id_evento, $nome, $idade, $tema)
	{
		$nome = addslashes($nome);
		$idade = addslashes($idade);
		$tema  = addslashes($tema);
		$cont = $nome . $idade . $tema;

		echo '-' . $cont . '-';

		//verifica se tem algum dados em noiva ou noivo
		if ($cont != '') {
			//se tiver dados ele tenta faser update
			$this->sql = "update se_aniversario
								  set 
								  nome = '$nome',
								  idade = '$idade',
								  tema = '$tema'
								  where id_evento = $id_evento
								  and id_empresa = $this->id_empresa
								  ";
			$this->execulta();

			//se não atualizar nem uma linha ele faz o insert
			if (mysqli_affected_rows($this->mysqlCom->connect()) == 0) {
				//verifica se realmente tem algum noivo cadastrado
				$sql = "select id_evento from se_aniversario where id_evento = $id_evento and id_empresa = $this->id_empresa";
				$qry = mysqli_query($this->mysqlCom->connect(), $sql);
				if (mysqli_num_rows($qry) == 0) {
					$this->SeAniversarioInsert($id_evento, $nome, $idade, $tema);
				}
			}
		} else {
			$this->SeAniversarioDelete($id_evento);
		}
	}

	public function SeAniversarioInsert($id_evento, $nome, $idade, $tema)
	{
		$this->sql = "insert into se_aniversario
						  (id_evento, nome, idade, tema, id_empresa)
						  values
						  ($id_evento, '$nome', '$idade', '$tema', $this->id_empresa)";
		$this->execulta();
	}


	public function SeAniversarioDelete($id_evento)
	{
		$this->sql = "delete from se_aniversario
						  where id_evento = $id_evento
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}
}
